﻿<%@ Page Title="" Language="C#" MasterPageFile="~/master.Master" AutoEventWireup="true" CodeBehind="workorder.aspx.cs" Inherits="WebApplication1.workproduct" %>


<%@ Register Assembly="Syncfusion.EJ.Web, Version=14.2450.0.28, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89"
    Namespace="Syncfusion.JavaScript.Web" TagPrefix="ej" %>

<%@ Register Assembly="Syncfusion.EJ, Version=14.2450.0.28, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89"
    Namespace="Syncfusion.JavaScript.Models" TagPrefix="ej" %>


<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">


    <asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>
    <div>

       <h3> Product </h3> 

        <asp:UpdatePanel ID="UpdatePanel1" runat="server">
            <ContentTemplate>

                <ej:Grid ID="ProductGrid" ClientIDMode="Static" runat="server" AllowPaging="True" AllowFiltering="false" OnServerEditRow="EditEvents_ServerEditRow"
                    OnServerAddRow="EditEvents_ServerAddRow" OnServerDeleteRow="EditEvents_ServerDeleteRow">
                 
                    <ClientSideEvents ActionComplete="complete" QueryCellInfo="querycellinfo"  EndAdd="endAdd" EndDelete="endDelete" EndEdit="endEdit" />
                    <Columns>
                        <ej:Column Field="Productcode" HeaderText="Prodcut code" IsPrimaryKey="true" TextAlign="Right" Width="90">
                            <ValidationRule>
                                <ej:KeyValue Key="required" Value="true" />
                                <ej:KeyValue Key="number" Value="true" />
                            </ValidationRule>
                        </ej:Column>
                        <ej:Column Field="Productname" HeaderText="Product name" Width="90">
                            <ValidationRule>
                                <ej:KeyValue Key="required" Value="true" />                   
                            </ValidationRule>
                        </ej:Column>
                     
                            <ej:Column Field="status" HeaderText="status" Width="90">
                          
                        </ej:Column>

                        

                    </Columns>
                     <EditSettings AllowEditing="True" AllowAdding="True" AllowDeleting="True" EditMode="DialogTemplate" DialogEditorTemplateID="#protemplate"></EditSettings>
                    <ToolbarSettings ShowToolbar="True" ToolbarItems="add,edit,delete,update,cancel"></ToolbarSettings>
                </ej:Grid>           
</ContentTemplate>
           
            <Triggers>
                <asp:AsyncPostBackTrigger ControlID="ProductGrid" />
            </Triggers>
        </asp:UpdatePanel>
   
    </div>


    <script type="text/template" id="protemplate">
        <b>Product Details</b>
        <table cellspacing="10">
            <tr>
                <td style="text-align: right;">Product code
                </td>
                <td style="text-align: left">
                    <input id="Productcode" name="Productcode" value="{{: Productcode}}" 
                        class="e-field e-ejinputtext valid e-disable" style="text-align: right; width: 116px; height: 28px" />
                </td>
                <td style="text-align: right;">Product name
                </td>
                <td style="text-align: left">
                    <input id="Productname" name="Productname" value="{{: Productname}}" class="e-field e-ejinputtext valid"
                        style="width: 116px; height: 28px" />
                </td>
            </tr>
            
        </table>
    </script>



      



    <script type="text/javascript">
        function querycellinfo(args) {
            var grid = $('#<%= ProductGrid.ClientID %>').ejGrid("instance");
            if (args.text == "completed") {
                args.cell.style.color = "black"
                args.cell.style.background = "orange"
            }
            else if (args.text == "new") {
                args.cell.style.color = "white"
                args.cell.style.background = "green"
            }
            else {
                if (args.text == "process") {
                    args.cell.style.color = "red"
                    args.cell.style.background = "yellow"
                }
            }
        }
        

        function complete(args) {

            if (args.requestType == "refresh" || args.requestType == "save") {
                $('#<%= ProductGrid.ClientID %>').ejWaitingPopup("hide");


            }

            if ((args.requestType == "beginedit" || args.requestType == "add")) {




            }

        }




    </script>



  



</asp:Content>


