﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.Script.Serialization;
using Syncfusion.JavaScript.Web;
using System.Collections;
using System.Web.Services;
using System.Web.Script.Services;
using System.Text.RegularExpressions;


namespace WebApplication1
{
    public partial class workproduct : System.Web.UI.Page
    {
        public List<Products> Data;
        private List<Products> product = new List<Products>();

        protected void Page_Load(object sender, EventArgs e)
        {

            BindDataSource();
            Session["DialogDataSource"] = product;

        }
        private void BindDataSource()
        {
            if ((List<Products>)Session["DialogDataSource"] == null)
            {

                product.Add(new Products(10001, "ALFKI","completed"));
                product.Add(new Products(10002, "ANATR", "new"));
                product.Add(new Products(10003, "WERSDD", "process"));
            }
            else
            {
                product = (List<Products>)Session["DialogDataSource"];
            }
            this.ProductGrid.DataSource = product;
            this.ProductGrid.DataBind();

        }



        protected void EditEvents_ServerEditRow(object sender, GridEventArgs e)
        {
            EditAction(e.EventType, e.Arguments["data"]);
        }

        protected void EditEvents_ServerAddRow(object sender, GridEventArgs e)
        {
            EditAction(e.EventType, e.Arguments["data"]);
        }

        protected void EditEvents_ServerDeleteRow(object sender, GridEventArgs e)
        {
            EditAction(e.EventType, e.Arguments["data"]);

        }

        protected void EditAction(string eventType, object record)
        {

            List<Products> data = Session["DialogDataSource"] as List<Products>;
            Dictionary<string, object> KeyVal = record as Dictionary<string, object>;

            if (eventType == "endEdit")
            {
                Products value = new Products();
                foreach (KeyValuePair<string, object> keyval in KeyVal)
                {

                    if (keyval.Key == "Productcode")
                    {
                        value = data.Where(d => d.Productcode == (int)keyval.Value).FirstOrDefault();
                        value.Productcode = Convert.ToInt32(keyval.Value);
                    }
                    else if (keyval.Key == "Productname")
                        value.Productname = Convert.ToString(keyval.Value);
                    else if (keyval.Key == "status")
                        value.status  = Convert.ToString(keyval.Value);

                }
            }

            else if (eventType == "endAdd")
            {
                Products newRecord = new Products();
                foreach (KeyValuePair<string, object> keyval in KeyVal)
                {

                    if (keyval.Key == "Productcode")
                        newRecord.Productcode = Convert.ToInt32(keyval.Value);
                    else if (keyval.Key == "Productname")
                        newRecord.Productname = Convert.ToString(keyval.Value);
                    else if (keyval.Key == "status")
                        newRecord.status = Convert.ToString(keyval.Value);

                }
                data.Insert(0, newRecord);
            }

            else if (eventType == "endDelete")
            {
                foreach (KeyValuePair<string, object> keyval in KeyVal)
                {
                    if (keyval.Key == "Productcode")
                    {
                        Products value = data.Where(d => d.Productcode == (int)keyval.Value).FirstOrDefault();
                        data.Remove(value);

                    }
                }
            }
            Session["DialogDataSource"] = data;
            this.ProductGrid.DataSource = data;
            this.ProductGrid.DataBind();

        }





        [Serializable]
        public class Products
        {
            public Products()
            {

            }
            public Products(int Productcode, string Productname, string status)
            {
                this.Productcode = Productcode;
                this.Productname = Productname;
                this.status = status;
            }
            public int Productcode { get; set; }
            public string Productname { get; set; }
            public string status { get; set; }
        }
    }
}